diff -Naur oec-hardware-old/.git/logs/HEAD oec-hardware-new/.git/logs/HEAD
--- oec-hardware-old/.git/logs/HEAD	2024-11-26 17:05:24.078921130 +0800
+++ oec-hardware-new/.git/logs/HEAD	2024-11-26 17:05:12.101319698 +0800
@@ -1 +1 @@
-0000000000000000000000000000000000000000 8beab4f7d15e82072859a63556d7f633acb89f68 Super User <root@localhost.localdomain> 1731488488 +0800	clone: from https://gitee.com/openeuler/oec-hardware.git
+0000000000000000000000000000000000000000 bc15354a2180db3b3b45cabf6265e4afd083f07f Shine.Wang <wangshuaiwang95@gmail.com> 1732611912 +0800	clone: from https://gitee.com/openeuler/oec-hardware.git
diff -Naur oec-hardware-old/.git/logs/refs/heads/master oec-hardware-new/.git/logs/refs/heads/master
--- oec-hardware-old/.git/logs/refs/heads/master	2024-11-26 17:05:24.078921130 +0800
+++ oec-hardware-new/.git/logs/refs/heads/master	2024-11-26 17:05:12.101319698 +0800
@@ -1 +1 @@
-0000000000000000000000000000000000000000 8beab4f7d15e82072859a63556d7f633acb89f68 Super User <root@localhost.localdomain> 1731488488 +0800	clone: from https://gitee.com/openeuler/oec-hardware.git
+0000000000000000000000000000000000000000 bc15354a2180db3b3b45cabf6265e4afd083f07f Shine.Wang <wangshuaiwang95@gmail.com> 1732611912 +0800	clone: from https://gitee.com/openeuler/oec-hardware.git
diff -Naur oec-hardware-old/.git/logs/refs/remotes/origin/HEAD oec-hardware-new/.git/logs/refs/remotes/origin/HEAD
--- oec-hardware-old/.git/logs/refs/remotes/origin/HEAD	2024-11-26 17:05:24.078921130 +0800
+++ oec-hardware-new/.git/logs/refs/remotes/origin/HEAD	2024-11-26 17:05:12.101319698 +0800
@@ -1 +1 @@
-0000000000000000000000000000000000000000 8beab4f7d15e82072859a63556d7f633acb89f68 Super User <root@localhost.localdomain> 1731488488 +0800	clone: from https://gitee.com/openeuler/oec-hardware.git
+0000000000000000000000000000000000000000 bc15354a2180db3b3b45cabf6265e4afd083f07f Shine.Wang <wangshuaiwang95@gmail.com> 1732611912 +0800	clone: from https://gitee.com/openeuler/oec-hardware.git
diff -Naur oec-hardware-old/.git/packed-refs oec-hardware-new/.git/packed-refs
--- oec-hardware-old/.git/packed-refs	2024-11-26 17:05:24.129919437 +0800
+++ oec-hardware-new/.git/packed-refs	2024-11-26 17:05:12.101319698 +0800
@@ -1,5 +1,5 @@
 # pack-refs with: peeled fully-peeled sorted 
-8beab4f7d15e82072859a63556d7f633acb89f68 refs/remotes/origin/master
+bc15354a2180db3b3b45cabf6265e4afd083f07f refs/remotes/origin/master
 7634f1d4c1c4ba63f64c8517c980828ebb57811d refs/tags/v1.0.0
 ^fad36631d9b7dc553e0cfb41e38b87886c0762e6
 15b064683683b129b7ff364f8114352608788825 refs/tags/v1.1.0
diff -Naur oec-hardware-old/.git/refs/heads/master oec-hardware-new/.git/refs/heads/master
--- oec-hardware-old/.git/refs/heads/master	2024-11-26 17:05:24.129919437 +0800
+++ oec-hardware-new/.git/refs/heads/master	2024-11-26 17:05:12.101319698 +0800
@@ -1 +1 @@
-8beab4f7d15e82072859a63556d7f633acb89f68
+bc15354a2180db3b3b45cabf6265e4afd083f07f
diff -Naur oec-hardware-old/hwcompatible/job.py oec-hardware-new/hwcompatible/job.py
--- oec-hardware-old/hwcompatible/job.py	2024-11-26 17:05:24.072921329 +0800
+++ oec-hardware-new/hwcompatible/job.py	2024-11-26 17:05:12.127318814 +0800
@@ -17,6 +17,7 @@
 import string
 import random
 import argparse
+import traceback
 import yaml
 from .env import CertEnv
 from .command import Command
@@ -257,7 +258,8 @@
                 else:
                     return_code = test.test()
         except Exception as concrete_error:
-            logger.error("Failed to run %s. %s" % (name, concrete_error))
+            exstr = traceback.format_exc()
+            logger.error("Failed to run %s. %s\n%s" % (name, concrete_error, exstr))
             return_code = False
 
         if reboot_flag:
diff -Naur oec-hardware-old/hwcompatible/log.py oec-hardware-new/hwcompatible/log.py
--- oec-hardware-old/hwcompatible/log.py	2024-11-26 17:05:24.072921329 +0800
+++ oec-hardware-new/hwcompatible/log.py	2024-11-26 17:05:12.127318814 +0800
@@ -45,7 +45,7 @@
 
     def start(self):
         """
-        Start outputing to file
+        Start outputting to file
         :return:
         """
         self.log = logging.getLogger(name=self.logfile)
@@ -71,7 +71,7 @@
 
     def stop(self):
         """
-        Stop outputing to file
+        Stop outputting to file
         :return:
         """
         self.stdout = sys.stdout
diff -Naur oec-hardware-old/tests/compatible/vgpu/test_vgpu.sh oec-hardware-new/tests/compatible/vgpu/test_vgpu.sh
--- oec-hardware-old/tests/compatible/vgpu/test_vgpu.sh	2024-11-26 17:05:24.074921263 +0800
+++ oec-hardware-new/tests/compatible/vgpu/test_vgpu.sh	2024-11-26 17:05:12.138318439 +0800
@@ -17,7 +17,7 @@
 
 
 # Desc: Create virtual machine
-# Input: vgpu testcase direcotry, gpu device name
+# Input: vgpu testcase directory, gpu device name
 function create_vm() {
     vgpu_dir=$1
     name=$2
@@ -46,7 +46,7 @@
 }
 
 
-# Desc: Create vgpu uuid fro vm
+# Desc: Create vgpu uuid for vm
 # Input: gpu device bus number
 function create_uuid() {
     bus=$1
